#
# spec file for package tcpd (Version 7.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -nkita -nkitb
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         tcpd
License:      Other License(s), see package
Group:        Productivity/Networking/System
Provides:     nkitb:/usr/sbin/tcpd
Autoreqprov:  on
Version:      7.6
Release:      639
Summary:      A security wrapper for TCP daemons
Source:       tcp_wrappers_%{version}.tar.bz2
Patch:        tcp_wrappers_%{version}.dif
Patch1:       tcp_wrappers_%{version}-ipv6-1.6.diff.gz
Patch2:       tcp_wrappers_%{version}-ipv6-fix.diff
Patch3:       tcp_wrappers_%{version}-ipv6.fix.fix.diff
Patch4:       tcp_wrappers_%{version}-ipv6.fix.fix2.diff
Patch5:       tcp_wrappers_%{version}-host_name_mapping-fix.diff
Patch6:       tcp_wrappers_%{version}-fix_options-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package contains a small daemon program which can
monitor and filter incoming requests for finger, ftp, telnet,
rlogin, rsh, exec, tftp, talk, and other network services.

Authors:
--------
    Wietse Venema <wietse@wzv.win.tue.nl>

SuSE series: n

%prep
%setup -n tcp_wrappers_%{version}
%patch1 -p2
%patch
%patch2 -p1
%patch3
%patch4
%patch5
%patch6

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/{%{_lib},include,sbin}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man{1,3,5,8}
install -s -m 755 tcpd tcpdchk tcpdmatch safe_finger try-from $RPM_BUILD_ROOT/usr/sbin/
install -m 644 tcpd.8 tcpdchk.8 tcpdmatch.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 hosts_access.3 $RPM_BUILD_ROOT%{_mandir}/man3/
install -m 644 hosts_access.5 hosts_options.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install -m 644 libwrap.a $RPM_BUILD_ROOT/%{_libdir}
install -m 644 tcpd.h $RPM_BUILD_ROOT/usr/include/
install -m 644 ip6utils.h $RPM_BUILD_ROOT/usr/include/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BLURB CHANGES DISCLAIMER README README.ipv6 README.NIS
/usr/include/tcpd.h
/usr/include/ip6utils.h
%{_libdir}/libwrap.a
%doc %{_mandir}/man?/*
/usr/sbin/*

%changelog -n tcpd
* Thu Nov 27 2003 - postadal@suse.cz
- install missing file ip6utils.h
* Wed Nov 26 2003 - postadal@suse.cz
- included patch ipv6-fix.diff of mludvig@suse.cz to make tcpd work
  with IPv4 and mapped IPv4 addresses. [#16162]
- fixed fix_options function in libwrap.a [#22000]
- added ip6utils.h to filelist [#22487]
- Don't handle IPv4 netmask as Prefix length [#25409]
- fixed handling patterns ending with period [#27322]
- fixed invalid warning about "host name mismatch" [#26519, #32772]
* Thu Jan 10 2002 - cihlar@suse.cz
- use %%{_libdir}
* Tue Nov 20 2001 - cihlar@suse.cz
- fixed SEGFAULT in tcpdchk [#12135]
* Thu Sep 06 2001 - schwab@suse.de
- Compile with -fPIC so that it can be included in a shared library.
* Wed Sep 05 2001 - schwab@suse.de
- Add prototypes for C++.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Feb 27 2001 - cihlar@suse.cz
- fixed %%files
- clean up spec file
- bzipped sources
* Tue Apr 11 2000 - kukuk@suse.de
- Split from nkitb
